Next: Subroutine smoothers_build Up: User Interface Previous: Subroutine build Contents

##
Subroutine hierarchy_build

`call p%hierarchy_build(a,desc_a,info)`

This routine builds the hierarchy of matrices and restriction/prolongation operators for the multi-level preconditioner `p`, according to the requirements made by the user through the routines `init` and `set`.

Arguments

`a` | `type(psb_`x `spmat_type), intent(in)`.
| The sparse matrix structure containing the local part of the matrix to be preconditioned. Note that x must be chosen according to the real/complex, single/double precision version of MLD2P4 under use. See the PSBLAS User's Guide for details [13].
`desc_a` | `type(psb_desc_type), intent(in)`.
| The communication descriptor of `a`. See the PSBLAS User's Guide for details [13].
`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 8 for details.

Next: Subroutine smoothers_build Up: User Interface Previous: Subroutine build Contents